Summary:	The GNU version of the awk text processing utility.
Name:		gawk
Group:		Applications/Text
License:	GPL
Version:	3.1.5
Release:	2
Source0:	ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}-ps.tar.gz
Patch0:		gawk-3.1.4-unaligned-gd-1.diff
Patch1:		gawk-3.0.6-jh-owl-igawk-tmp.diff
Requires:	mktemp
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs.

%files
  %defattr(0444,root,root,0555)
  %doc README COPYING FUTURES INSTALL LIMITATIONS NEWS
  %doc README_d POSIX.STD doc/gawk.ps doc/awkcard.ps
  %doc %{_mandir}/man1/*
  %doc %{_infodir}/gawk.info*
  %doc %{_infodir}/gawkinet.info*

  %attr(0511,root,root)		%{_prefix}/libexec/awk/grcat
  %attr(0511,root,root)		%{_prefix}/libexec/awk/pwcat
  %attr(0511,root,root)		%{_prefix}/share/awk
  %attr(0511,root,root)		%{_bindir}/awk
  %attr(0511,root,root)		%{_bindir}/gawk
  %attr(0511,root,root)		%{_root_bindir}/awk
  %attr(0511,root,root)		%{_root_bindir}/gawk
  %attr(0511,root,root)		%{_root_bindir}/igawk
  %attr(0511,root,root)		%{_root_bindir}/pgawk

%prep
%setup -q -b 1
%patch0 -p1

%build
  %configure
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall bindir=$RPM_BUILD_ROOT/%{_root_bindir}	\
	prefix=$RPM_BUILD_ROOT/				\
	libexecdir=$RPM_BUILD_ROOT/%{_libexecdir}	\
	datadir=$RPM_BUILD_ROOT/%{_datadir}/awk

  strip ${RPM_BUILD_ROOT}/bin/gawk
  strip ${RPM_BUILD_ROOT}%{_prefix}/libexec/awk/*

  pushd $RPM_BUILD_ROOT
    rm -f .%{_root_bindir}/gawk-%{version}
    rm -f .%{_root_bindir}/pgawk-%{version}
    ln -sf gawk.1.gz ./usr/share/man/man1/awk.1

    mkdir ./%{_bindir}
    ln -s ../../bin/awk  ./%{_bindir}/awk
    ln -s ../../bin/gawk ./%{_bindir}/gawk
  popd

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 3.1.5, Release 2
  - Upgrade to latest version

* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 3.1.4, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
